<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cookie;

class ControllerCarrito extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {

        $item = $request->only(['id_jabon', 'nombre', 'precio','detalles','imagen']);
        $carrito = json_decode($request->cookie('carrito', '[]'), true);

        // Verificar si el producto ya existe en el carrito
        $existe = array_filter($carrito, function ($producto) use ($item) {
            return $producto['id_jabon'] == $item['id_jabon'];
        });

        if (empty($existe)) {
            $carrito[] = $item;
            $total = array_sum(array_column($carrito, 'precio'));
            $cantidad = count(array_column($carrito, 'precio'));;

            return response()->json([
                'message' => 'Producto añadido al carrito',
                'type' => 'success',
                'carrito' => $carrito,
                'total' => number_format($total, 2),
                
                'cantidad' => $cantidad
            ])->cookie('carrito', json_encode($carrito), 10080); // 7 días
        } else {
            return response()->json(['message' => 'El producto ya está en el carrito', 'type' => 'warning']);
        }

    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy($id)
    {

        $carrito = json_decode(Cookie::get('carrito', '[]'), true);

        $carrito = array_filter($carrito, function ($item) use ($id) {
            return $item['id_jabon'] != $id;
        });

        // Volver a guardar la cookie con el carrito actualizado
        Cookie::queue('carrito', json_encode($carrito), 10080);

        $total = array_sum(array_column($carrito, 'precio'));
        $cantidad = count(array_column($carrito, 'precio'));;

        return response()->json([
            'message' => 'Producto eliminado exitosamente',
            'carrito' => $carrito,
            'total' => number_format($total, 2),
            'cantidad' => $cantidad
        ]); 

    }
}
