<?php

namespace App\Http\Controllers;

use App\Models\Ingrediente;
use Illuminate\Http\Request;

class ControllerIngredientes extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $data = Ingrediente::all();
        return view('appAdmin.ingredientes.index', compact('data'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $item = new Ingrediente();
        $item->nombre  = $request->nombre;
        $item->precio = $request->precio;
        $item->tipo = $request->tipo;
        $item->save();

        return redirect()->route('ingredientes.index');
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        $item = Ingrediente::find($id);
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        $item = Ingrediente::find($id);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        $item = Ingrediente::find($id);
        $item->nombre  = $request->nombre;
        $item->precio = $request->precio;
        $item->tipo = $request->tipo;
        $item->save();

        return redirect()->route('ingredientes.index');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $item = Ingrediente::find($id);
        $item->delete();
        return redirect()->route('ingredientes.index');
    }
}
