<?php

namespace App\Http\Controllers;

use App\Models\Jabon;
use Illuminate\Http\Request;

class ControllerJabones extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
       $data = Jabon::all();
       return view('appAdmin.jabones.index', compact('data'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $item = new Jabon();
        $item->nombre = $request->nombre;
        $item->descripcion = $request->descripcion;
        $item->precio_base = $request->precio_base;

        $ultimoJabon = Jabon::orderByDesc('id_jabon')->first();
        $last_id = $ultimoJabon->id_jabon + 1;

        if ($request->hasFile('img')) {

            $archivo = $request->file('img');
            $nombreArchivo = 'img_' . $request->nombre . '_' . $last_id . '.' . $archivo->getClientOriginalExtension();
            $archivo->move(public_path('imgJabones'), $nombreArchivo);
            $item->img = 'imgJabones/' . $nombreArchivo;
        }
        $item->save();
        return redirect()->route('jabones.index');

    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //    
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, $id)
    {
        $item = Jabon::find($id);
    
        $item->nombre = $request->nombre;
        $item->descripcion = $request->descripcion;
        $item->precio_base = $request->precio_base;
    
        if ($request->hasFile('img')) {
            // elimina la imagen anterior por si existe y estas dos lineas tambien las llamo en destroy
            if ($item->img && file_exists(public_path($item->img))) {
                unlink(public_path($item->img));
            }
    
            // Guardar la nueva imagen
            $archivo = $request->file('img');

            //este era la linea anterior ahi le agregue el (item->id_jabon) que no estaba pero lo cambie por el uniqid () que hace lo mismo 
            //asi que lo deje porque eta mas corto.
            //$nombreArchivo = 'img_' . $request->nombre . '_' . $item->id_jabones. '.' . $archivo->getClientOriginalExtension();

            $nombreArchivo = 'img_' . uniqid() . '.' . $archivo->getClientOriginalExtension();
            $archivo->move(public_path('imgJabones'), $nombreArchivo);
            $item->img = 'imgJabones/' . $nombreArchivo;
        }
    
        $item->save();
    
        return redirect()->route('jabones.index');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy($id)
    {
        $item = Jabon::find($id);
    
        // Eliminar la imagen si existe
        if ($item->img && file_exists(public_path($item->img))) {
            unlink(public_path($item->img));
        }
    
        $item->delete();
    
        return redirect()->route('jabones.index');
    }
}
