<?php

namespace App\Http\Controllers;

use App\Models\Pedido;
use Illuminate\Http\Request;

class ControllerPedidos extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $data = Pedido::all();
        return view('appAdmin.pedidos.index', compact('data'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $item = new Pedido();
        $item->direccion_envio = $request->direccion_envio;
        $item->telefono_contacto = $request->telefono_contacto;
        $item->correo_contacto = $request->correo_contacto;
        $item->total = 0;
        $item->estado = 1;
        $item->save();
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        $item = Pedido::find($id);

        return view('appAdmin.pedidos.show', compact('item'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        $item = Pedido::find($id);
        $item->estado = $request->estado;
        $item->save();

        return redirect()->route('pedidos.index');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $item = Pedido::find($id);
        $item->delete();

        return redirect()->route('pedidos.index');
    }
}
