<?php

namespace App\Http\Controllers;

use App\Models\Jabon;
use App\Models\Resena;
use Illuminate\Http\Request;

class ControllerResenas extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $data = Resena::all();
        return view('appAdmin.resenas.index', compact('data'));

    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $item = new Resena();
        $item->nombre = $request->nombre;
        $item->id_jabon = $request->id_jabon;
        $item->save();
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        $jabones = Jabon::whereHas('resenas')->get();
        $jabon = Jabon::find($id);

        $data = Resena::where('id_jabon','=',$jabon->id_jabon)->orderByDesc('calificacion')->get();
        
        $calificacionesPosibles = [1, 2, 3, 4, 5];

        $resenas = Resena::selectRaw('calificacion, COUNT(id_resena) as calificaciones')
            ->groupBy('calificacion')->where('id_jabon','=',$jabon->id_jabon)
            ->pluck('calificaciones', 'calificacion');

        $resultado = [];
        foreach ($calificacionesPosibles as $calificacion) {
            $resultado[] = $resenas->get($calificacion, 0);
        }

        return view('appAdmin.resenas.index', compact('data', 'resultado', 'jabones','jabon'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        $item = Resena::find($id);
        $item->nombre = $request->nombre;
        $item->id_jabon = $request->id_jabon;
        $item->save();
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $item = Resena::find($id);
        $item->delete();
    }

    public function indexEstadisticas()
    {
        $jabones = Jabon::whereHas('resenas')->get();
        $jabon = Jabon::find(Resena::first()->id_jabon);

        $data = Resena::where('id_jabon','=',$jabon->id_jabon)->orderByDesc('calificacion')->get();
        
        $calificacionesPosibles = [1, 2, 3, 4, 5];

        $resenas = Resena::selectRaw('calificacion, COUNT(id_resena) as calificaciones')
            ->groupBy('calificacion')->where('id_jabon','=',$jabon->id_jabon)
            ->pluck('calificaciones', 'calificacion');

        $resultado = [];
        foreach ($calificacionesPosibles as $calificacion) {
            $resultado[] = $resenas->get($calificacion, 0);
        }

        return view('appAdmin.resenas.index', compact('data', 'resultado', 'jabones','jabon'));
    }
}
