



    toastr.options = {
        "closeButton": true,
        "progressBar": true,
        "positionClass": "toast-bottom-right",
        "timeOut": "3000"
    };

    function addToCart(id_jabon, nombre, precio, detalles, imagen) {
        precio = Number(precio);

        console.log(imagen);
        

        fetch('/carrito', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
                'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute('content')
            },
            body: JSON.stringify({
                id_jabon,
                nombre,
                precio,
                detalles,
                imagen
            })
        })
            .then(response => response.json())
            .then(data => {
                if (data.type === 'success') {
                    toastr.success(data.message);
                    actualizarVistaCarrito(data.carrito, data.total, data.cantidad);
                } else if (data.type === 'warning') {
                    toastr.warning(data.message);
                }

            })
            .catch(error => console.error('Error:', error));
    }

    document.addEventListener("DOMContentLoaded", function () {
        const removeButtons = document.querySelectorAll('.eliminar-item');

        removeButtons.forEach(button => {
            button.addEventListener('click', function (event) {
                event.preventDefault();
                const id = this.getAttribute('data-id');
                removerItemCarrito(id);
            });
        });


    });

    function removerItemCarrito(id) {

        fetch(`/carrito/${id}`, {
            method: 'DELETE',
            headers: {
                'Content-Type': 'application/json',
                'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute(
                    'content')
            }
        })
            .then(response => response.json())
            .then(data => {
                toastr.success(data.message);
                actualizarVistaCarrito(data.carrito, data.total, data.cantidad);

            })
            .catch(error => console.error('Error:', error));
    }

    function actualizarVistaCarrito(carrito, total, cantidad) {

        if (!Array.isArray(carrito)) {
            carrito = Object.values(carrito);
        }

        const carritoContainer = document.querySelector('.cart_gallery');
        carritoContainer.innerHTML = '';

        carrito.forEach(item => {
            const carritoItem = `
            <div class="cart_item">
                <div class="cart_img">
                    <a href="#"><img src="${item.imagen}" alt="${item.nombre}"></a>
                </div>
                <div class="cart_info">
                    <a href="#">${item.nombre}</a>
                    <span>₡${item.precio.toFixed(2)}</span>
                </div>
                <div class="cart_remove">
                    <a href="#" class="eliminar-item" data-id="${item.id_jabon}">
                        <i class="ion-ios-close-outline"></i>
                    </a>
                </div>
            </div>
        `;
            carritoContainer.insertAdjacentHTML('beforeend', carritoItem);
        });


        document.querySelector('.price').textContent = `₡${total}`;
        document.querySelector('.cart_itemtotal').textContent = `₡${total}`;
        document.querySelector('.item_count').textContent = `${cantidad}`;

        // Volver a asignar los eventos de eliminación
        document.querySelectorAll('.eliminar-item').forEach(button => {
            button.addEventListener('click', function (e) {
                e.preventDefault();
                const id = this.dataset.id;
                removerItemCarrito(id);
            });
        });
    }
