<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Oasis</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <!-- Favicon -->
    <link rel="shortcut icon" type="image/x-icon" href="{{ asset('assets/img/favicon.ico') }}">

    <!-- CSS
    ========================= -->
    <!--bootstrap min css-->
    <link rel="stylesheet" href="{{ asset('assets/css/bootstrap.min.css') }}">
    <!--owl carousel min css-->
    <link rel="stylesheet" href="{{ asset('assets/css/owl.carousel.min.css') }}">
    <!--slick min css-->
    <link rel="stylesheet" href="{{ asset('assets/css/slick.css') }}">
    <!--magnific popup min css-->
    <link rel="stylesheet" href="{{ asset('assets/css/magnific-popup.css') }}">
    <!--font awesome css-->
    <link rel="stylesheet" href="{{ asset('assets/css/font.awesome.css') }}">
    <!--ionicons css-->
    <link rel="stylesheet" href="{{ asset('assets/css/ionicons.min.css') }}">
    <!--simple line icons css-->
    <link rel="stylesheet" href="{{ asset('assets/css/simple-line-icons.css') }}">
    <!--animate css-->
    <link rel="stylesheet" href="{{ asset('assets/css/animate.css') }}">
    <!--jquery ui min css-->
    <link rel="stylesheet" href="{{ asset('assets/css/jquery-ui.min.css') }}">
    <!--slinky menu css-->
    <link rel="stylesheet" href="{{ asset('assets/css/slinky.menu.css') }}">
    <!--plugins css-->
    <link rel="stylesheet" href="{{ asset('assets/css/plugins.css') }}">

    <!-- Main Style CSS -->
    <link rel="stylesheet" href="{{ asset('assets/css/style.css') }}">

    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" rel="stylesheet">
    


    <!--modernizr min js here-->
    <script src="{{ asset('assets/js/vendor/modernizr-3.7.1.min.js') }}"></script>
</head>

<body>
    
    <header>
        <div class="main_header">

            <div class="header_middle sticky-header">
                <div class="container">
                    <div class="row align-items-center">
                        <div class="col-lg-2">
                            <div class="logo">
                                <a href="{{ route('landing.index') }}"><img
                                        src="{{ asset('assets/img/logo/Logo_empresa.png') }}" alt=""></a>
                            </div>

                        </div>
                        <div class="col-lg-10">
                            <div class="header_right_info menu_position">
                                <!--main menu start-->
                                <div class="main_menu">
                                    <nav>
                                        <ul>
                                            <li><a class="{{ request()->routeIs('landing.index') ? 'active':'' }}" href="{{route('landing.index')}}">Inicio</a></li>
                                            <li><a class="{{ request()->routeIs('tienda.index') ? 'active':'' }}" href="{{route('tienda.index')}}">Tienda</a></li>
                                            <li><a class="{{ request()->routeIs('contacto') ? 'active':'' }}" href="{{route('contacto')}}"> Contáctanos</a></li>
                                            <li><a class="{{ request()->routeIs('nosotros') ? 'active':'' }}" href="{{route('nosotros')}}"> Nosotros</a></li>
                                        </ul>
                                    </nav>
                                </div>
                                <!--main menu end-->
                                <div class="header_account_area">

                                    <!--Detalles de cantidad producto y total-->
                                    <div class="header_account_list  mini_cart_wrapper">
                                        <a href="javascript:void(0)"><i class="icon-bag icons"></i>
                                            <span class="cart_itemtext">Carrito:</span>
                                            <span class="cart_itemtotal">₡{{number_format(total_pagar(), 2)}}</span>
                                            <span class="item_count">{{ cantidad_items() }}</span>
                                        </a>

                                        <div class="mini_cart">
                                            <div class="cart_gallery">

                                                @php
                                                    $carrito = cargar_info_cookie();
                                                @endphp

                                                <!--Elemento de carrito-->
                                                @foreach ($carrito as $item)
                                                    <div class="cart_item">
                                                        <div class="cart_img">
                                                            <a href="#"><img
                                                                    src="{{ asset("$item[imagen]") }}"></a>
                                                        </div>
                                                        <div class="cart_info">
                                                            <a href="#">{{ $item['nombre'] }}</a>
                                                            <span> ₡{{ number_format($item['precio'], 2)}} </span>
                                                        </div>
                                                        
                                                        <div class="cart_remove">
                                                            <a href="#" class="eliminar-item" data-id="{{$item['id_jabon']}}"><i class="ion-ios-close-outline"></i></a>
                                                        </div>
                                                    </div>
                                                @endforeach



                                            </div>

                                            <!--Precio de todo-->
                                            <div class="mini_cart_table">
                                                <div class="cart_table_border">
                                                    <div class="cart_total mt-10">
                                                        <span>total:</span>
                                                        <span class="price">₡{{number_format(total_pagar(), 2)}}</span>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="mini_cart_footer mb-5">
                                                <div class="cart_button">
                                                    <a href="{{ route('checkout.index') }}"><i
                                                            class="fa fa-shopping-cart"></i> Ver
                                                        carrito</a>
                                                </div>

                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!--Final area de encabezado-->

    @yield('migas')

    @yield('contenido')

    <!--Empieza area footer-->
    <footer class="footer_widgets">

        <div class="footer_bottom">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-6 col-md-6">
                        <div class="copyright_area">
                            <p class="copyright-text">&copy; 2024 <a href="index.html">Oasis</a>. Grupo B</p>
                        </div>
                    </div>
                    <div class="col-lg-6 col-md-6">
                        <div class="footer_payment text-right">
                            <a href="#"><img src="{{ asset('assets/img/icon/payment.png') }}" alt=""></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <!--Termina area footer-->

    <!-- JS
============================================ -->
    <!--jquery min js-->
    <script src="{{ asset('assets/js/vendor/jquery-3.4.1.min.js') }}"></script>
    <!--popper min js-->
    <script src="{{ asset('assets/js/popper.js') }}"></script>
    <!--bootstrap min js-->
    <script src="{{ asset('assets/js/bootstrap.min.js') }}"></script>
    <!--owl carousel min js-->
    <script src="{{ asset('assets/js/owl.carousel.min.js') }}"></script>
    <!--slick min js-->
    <script src="{{ asset('assets/js/slick.min.js') }}"></script>
    <!--magnific popup min js-->
    <script src="{{ asset('assets/js/jquery.magnific-popup.min.js') }}"></script>
    <!--counterup min js-->
    <script src="{{ asset('assets/js/jquery.counterup.min.js') }}"></script>
    <!--jquery ui min js-->
    <script src="{{ asset('assets/js/jquery.ui.js') }}"></script>
    <!--jquery elevatezoom min js-->
    <script src="{{ asset('assets/js/jquery.elevatezoom.js') }}"></script>
    <!--isotope packaged min js-->
    <script src="{{ asset('assets/js/isotope.pkgd.min.js') }}"></script>
    <!--slinky menu js-->
    <script src="{{ asset('assets/js/slinky.menu.js') }}"></script>
    <!-- Plugins JS -->
    <script src="{{ asset('assets/js/plugins.js') }}"></script>
    <!--Toastr JS-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>

    <!-- Main JS -->
    <script src="{{ asset('assets/js/main.js') }}"></script>
    <script src="{{ asset('assets/js/Elmio.js') }}"></script>
    

    @yield('js')

</body>

</html>
