@extends('Vistas_cliente.breadcump')

@section('nombre_pagina', 'Nosotros')
    
@section('contenido_con')
    
    <!--Inicio sección nosotros -->
    <section class="about_section">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <figure>
                        <div class="about_thumb">
                            <img src="{{asset('assets/img/about/about1.jpg')}}" alt="">
                        </div>
                        <figcaption class="about_content">
                            <h1>Somos una empresa especializada en crear jabones naturales y personalizables</h1>
                            <p> Cada jabón es personalizado según tus preferencias, garantizando una experiencia única
                                que se adapta a
                                las necesidades específicas de tu piel. Desde esencias relajantes hasta fórmulas
                                nutritivas, nuestros jabones están diseñados para proporcionar una limpieza suave pero
                                profunda, manteniendo tu piel hidratada y saludable.</p>
                        </figcaption>
                    </figure>
                </div>
            </div>
        </div>
    </section>
    <!--Fin sección-->

    <!--services img area-->
    <div class="about_gallery_section">
        <div class="container">
            <div class="about_gallery_container">
                <div class="row">
                    <div class="col-lg-4 col-md-4">

                        <article class="single_gallery_section">
                            <figure>
                                <div class="gallery_thumb">
                                    <img src="{{asset('assets/img/about/about2.jpg')}}" alt="">
                                </div>
                                <figcaption class="about_gallery_content">
                                    <h3>Qué hacemos?</h3>
                                    <p>En nuestra empresa, nos especializamos en que puedas tener los materiales
                                        necesarios para que puedas crear tus propios jabones naturales, elaborados con
                                        ingredientes orgánicos de la mejor calidad.</p>
                                </figcaption>
                            </figure>
                        </article>

                    </div>
                    <div class="col-lg-4 col-md-4">

                        <article class="single_gallery_section">
                            <figure>
                                <div class="gallery_thumb">
                                    <img src="{{asset('assets/img/about/about3.jpg')}}" alt="">
                                </div>
                                <figcaption class="about_gallery_content">
                                    <h3>Nuestra Misión</h3>
                                    <p>Nuestra misión es ofrecer productos de alta calidad, elaborados con ingredientes
                                        orgánicos y sostenibles, para brindar una experiencia de cuidado personal única
                                        y adaptada a cada necesidad.</p>

                                </figcaption>
                            </figure>
                        </article>

                    </div>
                    <div class="col-lg-4 col-md-4">

                        <article class="single_gallery_section">
                            <figure>
                                <div class="gallery_thumb">
                                    <img src="{{asset('assets/img/about/about4.jpg')}}" alt="">
                                </div>
                                <figcaption class="about_gallery_content">
                                    <h3>Nuestra Historia</h3>
                                    <p>En nuestra historia, la pasión por la naturaleza y el cuidado personal nos llevó
                                        a crear jabones artesanales y naturales, hechos a mano con ingredientes de la
                                        mejor calidad. Nacimos con la idea de ofrecer productos que respeten su piel y
                                        el medio
                                        ambiente. </p>

                                </figcaption>
                            </figure>
                        </article>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--services img end-->

    <!--testimonial area start-->
    <div class="faq-client-say-area">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12">
                    <div class="faq-client_title">
                        <h2>Preguntas frecuentes (FAQ)</h2>
                    </div>

                    <div class="faq-style-wrap" id="faq-five">

                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h5 class="panel-title">
                                    <a id="octagon" class="collapsed" role="button" data-bs-toggle="collapse"
                                        data-bs-target="#faq-collapse1" aria-expanded="true"
                                        aria-controls="faq-collapse1">
                                        <span class="button-faq"></span>¿Puedo cancelar mi pedido después de haberlo
                                        realizado?</a>
                                </h5>
                            </div>

                            <div id="faq-collapse1" class="collapse show" aria-expanded="true" role="tabpanel"
                                data-parent="#faq-five">

                                <div class="panel-body">
                                    <p>Una vez que el pedido ha sido procesado y el pago confirmado, no podemos cancelar
                                        el pedido. Sin embargo, si tienes alguna duda o problema con tu pedido,
                                        contáctanos lo antes posible para que podamos asistirte.</p>
                                </div>

                            </div>
                        </div>

                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h5 class="panel-title">
                                    <a class="collapsed" role="button" data-bs-toggle="collapse"
                                        data-bs-target="#faq-collapse2" aria-expanded="false"
                                        aria-controls="faq-collapse2"> <span class="button-faq"></span>¿Qué pasa si
                                        tengo un problema con el producto recibido?</a>
                                </h5>
                            </div>
                            <div id="faq-collapse2" class="collapse" aria-expanded="false" role="tabpanel"
                                data-parent="#faq-five">
                                <div class="panel-body">
                                    <p>Si recibes un producto dañado o incorrecto, por favor contacta con nuestro
                                        servicio al cliente dentro de los primeros 7 días hábiles. Te ayudaremos a
                                        resolver el problema lo más rápido posible, ya sea realizando un reembolso o
                                        enviándote un nuevo producto.</p>

                                </div>
                            </div>
                        </div>

                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h5 class="panel-title">
                                    <a class="collapsed" role="button" data-bs-toggle="collapse"
                                        data-bs-target="#faq-collapse3" aria-expanded="false"
                                        aria-controls="faq-collapse3"> <span class="button-faq"></span>¿Cómo puedo
                                        personalizar mis jabones?</a>
                                </h5>
                            </div>
                            <div id="faq-collapse3" class="collapse" role="tabpanel" data-parent="#faq-five">
                                <div class="panel-body">
                                    <p>En nuestra página, podrás elegir entre una variedad de ingredientes, aromas y
                                        colores para crear el jabón que mejor se adapte a tus gustos y necesidades. Solo
                                        debes seleccionar las opciones disponibles y proceder al pago.</p>
                                </div>
                            </div>
                        </div>

                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h5 class="panel-title">
                                    <a class="collapsed" role="button" data-bs-toggle="collapse"
                                        data-bs-target="#faq-collapse4" aria-expanded="false"
                                        aria-controls="faq-collapse4"> <span class="button-faq"></span>¿Cuánto tiempo
                                        tarda en llegar mi pedido?</a>
                                </h5>
                            </div>
                            <div id="faq-collapse4" class="collapse" role="tabpanel" data-parent="#faq-five">
                                <div class="panel-body">
                                    <p>El tiempo de entrega varía según tu ubicación. Generalmente, los pedidos se
                                        procesan y envían dentro de 2 a 5 días hábiles. Te notificaremos el estado de tu
                                        envío y te proporcionaremos un número de seguimiento.</p>
                                </div>
                            </div>
                        </div>
                        
                    </div>

                </div>

            </div>
        </div>
    </div>

    
@endsection
