@extends('appAdmin.appAdmin')

@section('contenido')
    <div class="container mt-5">
        <div class="row justify-content-center gy-4">

            <!-- Tarjeta Pedidos -->
            <div class="col-md-4">
                <div class="card shadow border-0 hover-card">
                    <div class="card-body text-center">
                        <div class="mb-3">
                            <div class="icon-big text-primary">
                                <i class="fas fa-shopping-bag fa-3x"></i>
                            </div>
                        </div>
                        <h5 class="card-title fw-bold">Acceso directo a Pedidos</h5>
                        <p class="card-text text-muted">Gestiona todos los pedidos desde esta sección.</p>
                        <a href="{{ route('pedidos.index') }}" class="btn btn-primary">Ver más</a>
                    </div>
                </div>
            </div>

            <!-- Tarjeta Jabones -->
            <div class="col-md-4">
                <div class="card shadow border-0 hover-card">
                    <div class="card-body text-center">
                        <div class="mb-3">
                            <div class="icon-big text-secondary">
                                <i class="fas fa-soap fa-3x"></i>
                            </div>
                        </div>
                        <h5 class="card-title fw-bold">Acceso directo a Jabones</h5>
                        <p class="card-text text-muted">Gestiona los jabones y sus detalles fácilmente.</p>
                        <a href="{{ route('jabones.index') }}" class="btn btn-secondary">Ver más</a>
                    </div>
                </div>
            </div>

            <!-- Tarjeta Ingredientes -->
            <div class="col-md-4">
                <div class="card shadow border-0 hover-card">
                    <div class="card-body text-center">
                        <div class="mb-3">
                            <div class="icon-big text-success">
                                <i class="fas fa-leaf fa-3x"></i>
                            </div>
                        </div>
                        <h5 class="card-title fw-bold">Acceso directo a Ingredientes</h5>
                        <p class="card-text text-muted">Administra los ingredientes usados en tus jabones.</p>
                        <a href="{{ route('ingredientes.index') }}" class="btn btn-success">Ver más</a>
                    </div>
                </div>
            </div>

            <!-- Tarjeta Reseñas -->
            <div class="col-md-4">
                <div class="card shadow border-0 hover-card">
                    <div class="card-body text-center">
                        <div class="mb-3">
                            <div class="icon-big text-warning">
                                <i class="fas fa-comments fa-3x"></i>
                            </div>
                        </div>
                        <h5 class="card-title fw-bold">Acceso directo a Reseñas</h5>
                        <p class="card-text text-muted">Consulta y gestiona las reseñas de tus clientes.</p>
                        <a href="{{ route('estadisticas') }}" class="btn btn-warning">Ver más</a>
                    </div>
                </div>
            </div>

        </div>
    </div>
@endsection
