@extends('appAdmin.appAdmin')

@section('contenido')
    <div class="row">
        <div class="col-12">
            <div class="card shadow-lg p-3 bg-body-tertiary">
                <div class="card-header">
                    <div class="d-flex align-items-center">
                        <h4 class="card-title">Ingredientes</h4>

                        <button class="btn btn-primary ms-auto" data-bs-toggle="modal" data-bs-target="#addRowModal">
                            <i class="fa fa-plus me-2"></i> Añadir
                        </button>
                    </div>

                    <!-- Modal para crear un nuevo ingrediente -->
                    <div class="modal fade" id="addRowModal" tabindex="-1" role="dialog"
                        aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Nuevo Ingrediente</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                        aria-label="Close"></button>
                                </div>

                                <form action="{{ route('ingredientes.store') }}" id="formulario_store" method="POST">
                                    @csrf

                                    <div class="modal-body">
                                        <div class="row">
                                            <div class="col">
                                                <div class="form-group">
                                                    <label class="fw-bold">Nombre</label>
                                                    <input type="text" class="form-control mb-3 border border-3"
                                                        name="nombre" id="nombre" placeholder="Nombre del ingrediente..." required>
                                                </div>

                                                <div class="form-group">
                                                    <label class="fw-bold">Precio Base</label>
                                                    <input type="number" class="form-control mb-3 border border-3"
                                                        name="precio" id="precio" placeholder="Precio base..." required>
                                                </div>

                                                <div class="form-group">
                                                    <label class="fw-bold">Tipo</label>
                                                    <select class="form-control mb-3 border border-3" name="tipo" id="tipo" required>
                                                        {{-- 1 esencia, 2 aceite, 3 colorante --}}
                                                        <option value="1">Esencia</option>
                                                        <option value="2">Aceite</option>
                                                        <option value="3">Colorante</option>
                                                    </select>
                                                </div>

                                                <div class="container auto my-3 text-center">
                                                    <img class="img-fluid img-thumbnail imagen_jabon w-75" src="">
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancelar</button>
                                        <button type="submit" id="btn_store" class="btn btn-success">Guardar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- Fin Modal para crear un nuevo ingrediente -->
                </div>

                <div class="card-body">
                    <div class="table-responsive">
                        <table id="tabla" class="display table table-striped table-hover">
                            <thead>
                                <tr>
                                    <th>Nombre</th>
                                    <th>Precio</th>
                                    <th>Tipo</th>
                                    <th>Editar</th>
                                    <th>Eliminar</th>
                                </tr>
                            </thead>

                            <tbody>
                                @foreach ($data as $ingrediente)
                                    <tr>
                                        <td>{{ $ingrediente->nombre }}</td>
                                        <td>{{ $ingrediente->precio }}</td>
                                        <td>{{ $ingrediente->tipo == 1 ? 'Esencia' : ($ingrediente->tipo == 2 ? 'Aceite' : 'Colorante') }}</td>
                                        <td>
                                            <button type="button" data-bs-toggle="modal" data-json="{{ json_encode($ingrediente) }}"
                                                data-bs-target="#modal_update" class="btn btn-link btn-warning btn-lg btn-edit">
                                                <i class="fa fa-edit"></i>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" data-bs-toggle="modal" data-json="{{ json_encode($ingrediente) }}"
                                                data-bs-target="#modal_destroy" class="btn btn-link btn-danger btn-lg btn-destroy">
                                                <i class="fa fa-times"></i>
                                            </button>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal para editar un ingrediente -->
    <div class="modal fade" id="modal_update" tabindex="-1" role="dialog" aria-labelledby="" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"> Editar Indrediente: <span class="fw-bold show_nombre">XXX</span> </h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>

                <form action="" method="POST" id="form_update">
                    @csrf
                    @method('PUT')

                    <div class="modal-body">
                        <div class="form-group">
                            <label class="fw-bold">Nombre</label>
                            <input type="text" class="form-control mb-3 border border-3"
                                name="nombre" id="nombre_update" placeholder="Nombre del ingrediente..." required>
                        </div>

                        <div class="form-group">
                            <label class="fw-bold">Precio Base</label>
                            <input type="number" class="form-control mb-3 border border-3"
                                name="precio" id="precio_update" placeholder="Precio base..." required>
                        </div>

                        <div class="form-group">
                            <label class="fw-bold">Tipo</label>
                            <select class="form-control mb-3 border border-3" name="tipo" id="tipo_update" required>
                                {{-- 1 esencia, 2 aceite, 3 colorante --}}
                                <option value="1">Esencia</option>
                                <option value="2">Aceite</option>
                                <option value="3">Colorante</option>
                            </select>
                        </div>

                        <div class="container auto my-3 text-center">
                            <img class="img-fluid img-thumbnail imagen_jabon" id="imagen" src="">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-warning">Actualizar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- Fin Modal para editar un ingrediente -->

    <!-- Modal para eliminar un ingrediente -->
    <div class="modal fade" id="modal_destroy" tabindex="-1" role="dialog" aria-labelledby="" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Eliminar Jabón: <span class="fw-bold show_nombre">XXX</span></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>

                <form action="" method="POST" id="form_destroy">
                    @csrf
                    @method('DELETE')

                    <div class="modal-body text-center my-3">
                        <h3>¿Desea eliminar el jabón <b><span class="show_nombre"></span></b>?</h3>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-danger">Eliminar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- Fin Modal para eliminar un jabón -->
@endsection

@section('js')
    <script>

        $(document).ready(function() {

            let ruta_update = "{{ route('ingredientes.update', 'x') }}";
            let ruta_destroy = "{{ route('ingredientes.destroy', 'x') }}";


            $(document).on('click', '.btn-edit', function() {
                let data = $(this).data('json');
                $('#form_update').attr('action', ruta_update.replace('x', data.id_ingrediente));
                $('#nombre_update').val(data.nombre);
                $('#precio_update').val(data.precio);
                $('#tipo_update').val(data.tipo);
                $('#modal_update .show_nombre').html(data.nombre);
            });

            $(document).on('click', '.btn-destroy', function() {
                let data = $(this).data('json');
                $('#form_destroy').attr('action', ruta_destroy.replace('x', data.id_ingrediente));
                $('#modal_destroy .show_nombre').html(data.nombre);
            });
        });
    </script>
@endsection
