@extends('appAdmin.appAdmin')

@section('contenido')
    <div class="row">
        <div class="col-sm-12">
            <div class="row">
                <div class="col-sm-6">
                    <div class="card">
                        <div class="card-header">
                            <h3>Jabones</h3>
                        </div>
                        <div class="card-body">
                            <select name="jabon" id="selectJabon" class="form-control">
                                @foreach ($jabones as $item)
                                    <option value="{{route('resenas.show',$item->id_jabon)}}" {{$item->id_jabon == $jabon->id_jabon? 'selected' : ''}}>{{$item->nombre}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6">
                    <canvas id="grafico"></canvas>
                </div>
            </div>
        </div>
        <div class="col-12">
            <div class="card shadow-lg p-3 bg-body-tertiary">
                <div class="card-header">
                    <div class="d-flex align-items-center">
                        <h4 class="card-title">Reseñas</h4>
                    </div>
                </div>

                <div class="card-body">
                    <div class="table-responsive">
                        <table id="tabla" class="display table table-striped table-hover">
                            <thead>
                                <tr>
                                    <th>Comentario</th>
                                    <th>Calificacion</th>
                                </tr>
                            </thead>

                            <tbody>
                                @foreach ($data as $resena)
                                    <tr>
                                        {{-- <td style="width: 25%">{{ $resena->jabon->nombre }}</td> --}}
                                        <td>{{ $resena->comentario }}</td>
                                        <td>{{ $resena->calificacion}}</td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('js')
    <script>
        document.addEventListener('DOMContentLoaded', () => {

        const ctx = document.getElementById('grafico').getContext('2d');
            
        const resultado = @json($resultado);
        // Crear un gráfico
        const grafico = new Chart(ctx, {
            type: 'pie', // Tipo de gráfico: bar, line, pie, etc.
            data: {
                labels: ['1 ⭐', '2 ⭐', '3 ⭐', '4 ⭐', '5 ⭐'], // Etiquetas
                datasets: [{
                    label: 'Calificaciones',
                    data: resultado, 
                    backgroundColor: [
                        'rgba(0, 192, 192, 1)',    
                        'rgba(54, 162, 235, 1)',   
                        'rgba(255, 206, 86, 1)',   
                        'rgba(255, 99, 132, 1)',   
                        'rgba(153, 102, 255, 1)'  
                    ],
                    borderColor: [
                        'rgba(255, 255, 255, 1)',
                        'rgba(255, 255, 255, 1)',
                        'rgba(255, 255, 255, 1)',
                        'rgba(255, 255, 255, 1)',
                        'rgba(255, 255, 255, 1)'
                    ],
                    borderWidth: 3
                }]
            },
            options: {
                plugins: {
                    legend: {
                        display: true, 
                        position: 'left', // Posición de la leyenda: top, bottom, left, right
                    },
                    title: {
                        display: true, 
                        text: 'Calificaciones: '+'{{$jabon->nombre}}', 
                        font: {
                            size: 16
                        }
                    }
                    }
                }
            });


            const selectJabon = document.getElementById('selectJabon');

            selectJabon.addEventListener('change', (event) => {
                const selectedUrl = event.target.value; 
                window.location.href = selectedUrl;
            });
        });



    </script>
@endsection