<?php

use App\Http\Controllers\ControllerAdicionalJabon;
use App\Http\Controllers\ControllerCarrito;
use App\Http\Controllers\ControllerCheckout;
use App\Http\Controllers\ControllerDetallesPedidos;
use App\Http\Controllers\ControllerIngredientes;
use App\Http\Controllers\ControllerJabones;
use App\Http\Controllers\ControllerLanding;
use App\Http\Controllers\ControllerPedidos;
use App\Http\Controllers\ControllerResenas;
use App\Http\Controllers\ControllerTienda;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('appAdmin.index');
})->name('home');

// Raiz
// Route::get('/',[ControllerJabones::class, 'index'])->name('home');

// Resources
Route::resource('/jabones', ControllerJabones::class);
Route::resource('/adicionale',ControllerAdicionalJabon::class);
Route::resource('/detalles',ControllerDetallesPedidos::class);
Route::resource('/ingredientes',ControllerIngredientes::class);
Route::resource('/pedidos',ControllerPedidos::class);
Route::resource('/resenas',ControllerResenas::class);

// Rutas admin
Route::get('/estadisticas', [ControllerResenas::class, 'indexEstadisticas'])->name('estadisticas');

//Vistas landing
Route::resource('/landing', ControllerLanding::class);
Route::resource('carrito', ControllerCarrito::class);
Route::resource('/checkout', ControllerCheckout::class);
Route::resource('/tienda', ControllerTienda::class);


Route::get('/inicio/contacto', function () {
    return view('/Vistas_cliente/contacto');
})->name('contacto');

Route::get('/inicio/nosotros', function () {
    return view('/Vistas_cliente/nosotros');
})->name('nosotros');

Route::get('/inicio/detalle_producto', function () {
    return view('/Vistas_cliente/detalle_producto');
})->name('detalle_producto');

